Instance

Stats

Statistics

Get instance stats

GET
https://peertube2.cpy.re/api/v1/server/stats

Get instance public statistics. This endpoint is cached.

Response

successful operation

Response fields application/json
totalUsersnumber
totalDailyActiveUsersnumber
totalWeeklyActiveUsersnumber
totalMonthlyActiveUsersnumber
totalModeratorsnumber

PeerTube >= 6.1 Value is null if the admin disabled total moderators stats

totalAdminsnumber

PeerTube >= 6.1 Value is null if the admin disabled total admins stats

totalLocalVideosnumber
totalLocalVideoViewsnumber

Total video views made on the instance

totalLocalVideoDownloadsnumber

Total video downloads made on the instance

totalLocalVideoCommentsnumber

Total comments made by local users

totalLocalVideoFilesSizenumber
totalVideosnumber
totalVideoCommentsnumber
totalLocalVideoChannelsnumber
totalLocalDailyActiveVideoChannelsnumber
totalLocalWeeklyActiveVideoChannelsnumber
totalLocalMonthlyActiveVideoChannelsnumber
totalLocalPlaylistsnumber
totalInstanceFollowersnumber
totalInstanceFollowingnumber
videosRedundancyArray<object>
Show child attributes
strategystring
totalSizenumber
totalUsednumber
totalVideoFilesnumber
totalVideosnumber
totalActivityPubMessagesProcessednumber
totalActivityPubMessagesSuccessesnumber
totalActivityPubMessagesErrorsnumber
activityPubMessagesProcessedPerSecondnumber
totalActivityPubMessagesWaitingnumber
averageRegistrationRequestResponseTimeMsnumber

PeerTube >= 6.1 Value is null if the admin disabled registration requests stats

totalRegistrationRequestsProcessednumber

PeerTube >= 6.1 Value is null if the admin disabled registration requests stats

totalRegistrationRequestsnumber

PeerTube >= 6.1 Value is null if the admin disabled registration requests stats

averageAbuseResponseTimeMsnumber

PeerTube >= 6.1 Value is null if the admin disabled abuses stats

totalAbusesProcessednumber

PeerTube >= 6.1 Value is null if the admin disabled abuses stats

totalAbusesnumber

PeerTube >= 6.1 Value is null if the admin disabled abuses stats

Create playback metrics

POST
https://peertube2.cpy.re/api/v1/metrics/playback

These metrics are exposed by OpenTelemetry metrics exporter if enabled.

Body

application/json
playerModestringp2p-media-loaderweb-videorequired
resolutionnumber

Current player video resolution

fpsnumber

Current player video fps

p2pEnabledbooleanrequired
p2pPeersnumber

P2P peers connected (doesn't include WebSeed peers)

resolutionChangesnumberrequired

How many resolution changes occurred since the last metric creation

bufferStallednumber

How many times buffer has been stalled since the last metric creation

errorsnumberrequired

How many errors occurred since the last metric creation

downloadedBytesP2Pnumberrequired

How many bytes were downloaded with P2P since the last metric creation

downloadedBytesHTTPnumberrequired

How many bytes were downloaded with HTTP since the last metric creation

uploadedBytesP2Pnumberrequired

How many bytes were uploaded with P2P since the last metric creation

videoIdid | UUIDv4 | shortUUIDrequired
Show child attributes
One of
id>= 1
Example
42
UUIDv4<uuid>
Example
9c9de5e8-0a1e-484a-b099-e80766180a6d

translation of a uuid v4 with a bigger alphabet to have a shorter uuid

shortUUID
Example
2y84q2MQUMWPbiEcxNXMgC

Response

204No Content

successful operation